/*
	MyHelloWindow.cpp
	Dan Parks Sydow
	1997
	
	Based on source code from:
	HelloWindow.cpp
	Copyright 1995 Be Incorporated, All Rights Reserved.
*/

#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef MY_HELLO_WINDOW_H
#include "MyHelloWindow.h"
#endif
#ifndef MY_DRAW_VIEW_H
#include "MyDrawView.h"
#endif

#ifndef MY_HELLO_WORLD_H
#include "MyHelloWorld.h"
#endif


MyHelloWindow::MyHelloWindow(BRect frame)
    : BWindow(frame, "My Hello", B_TITLED_WINDOW, B_NOT_ZOOMABLE)
{
	frame.OffsetTo(B_ORIGIN);

    fMyView = new MyDrawView(frame, "MyDrawView");
    AddChild(fMyView);

	Show();
}


bool MyHelloWindow::QuitRequested()
{
    be_app->PostMessage(B_QUIT_REQUESTED);

    return(true);
}

